{
  "openapi": "3.1.0",
  "info": {
    "title": "TME API",
    "version": "V2.0 Current Version"
  },
  "servers": [
    {
      "url": "https://api.tme.eu"
    }
  ],
  "x-tagGroups": [
    {
      "name": "General Information",
      "tags": [
        "Overview",
        "Localization and Language"
      ]
    },
    {
      "name": "Glossaries",
      "tags": [
        "Products statuses",
        "Units"
      ]
    },
    {
      "name": "API",
      "tags": [
        "auth",
        "products",
        "utils"
      ]
    }
  ],
  "tags": [
    {
      "name": "Overview",
      "description": "The TME API is a REST API that enables seamless integration with TME services and product data. It allows you to search the product catalog, retrieve detailed product information, check prices and stock availability, access technical documentation from your own applications. \n\n All requests to the API are authenticated using OAuth 2.0, ensuring secure and reliable communication between your application and TME systems.\n\n ### API Features\n\n The TME API provides access to a wide range of functionality, including:\n\n- Product search and catalog browsing\n- Product prices, stock levels, and delivery information\n- Product parameters, images, documentation, and related and similar products\n- Customer-specific pricing and availability\n- Additional reference data required for integration \n\n All requests and responses are returned in JSON format. Each endpoint includes a detailed description of its parameters, request examples, and response schemas to help you integrate quickly and efficiently.\n\n ### Getting Started \n\n Before you can start using the API, complete the following steps:\n\n 1. Create and activate both a TME customer account (www.tme.eu) and a Developer account.\n 2. Register your application and generate API credentials.\n 3. Obtain an access token using the OAuth 2.0 authentication flow.\n 4. Use the access token to authorize your API requests.\n 5. Start integrating the available endpoints according to your business requirements.\n\n Getting started examples\n\n You have to send an /auth/token request using your client's token and application secret:\n\n ```bash\n curl --location 'https://api.tme.eu/auth/token' \\ \n --header 'Content-Type: application/x-www-form-urlencoded' \\ \n --header 'Authorization: Basic <base64(token:secret)>' \\ \n --data-urlencode 'grant_type=client_credentials' \n```\n /auth/token response: \n\n```json\n{\n  \"access_token\": \"ACCESS_TOKEN_CONTENT_VALUE\",\n  \"token_type\": \"Bearer\",\n  \"expires_in\": 300,\n  \"refresh_token\": \"REFRESH_TOKEN_CONTENT_VALUE\"\n}\n```\n Extract access_token content value from response and attach it to your request Authorization header:\n\n ```bash\n curl --location --globoff 'https://api.tme.eu/products?symbols[]=1N4007-DIO' \\ \n --header 'Authorization: Bearer ACCESS_TOKEN_CONTENT_VALUE'\n\n```\n Enjoy product response."
    },
    {
      "name": "Units",
      "description": "<details> \n <summary> Click to expand the table. </summary> \n\n | Units | Description |\n|--------|--------|\n| %      | %  \n| % | Percentage | \n| %O | Per mille | \n| 1 | One | \n| 10 | Days | \n| 22S | Square millimeter/second | \n| 2M | Centimeter/second | \n| 2X | Meter/Minute | \n| 4G | Microliter | \n| 4O | Microfarad | \n| 4T | Pikofarad | \n| A | Ampere| | \n| A87 | Gigaohm| | \n| A93 | Gram/Cubic meter| | \n| ACR | Acre | \n| B34 | Kilogram/cubic decimeter | \n| B45 | Kilomol | \n| B47 | Kilonewton | \n| B73 | Meganewton | \n| B75 | Megohm | \n| B78 | Megavolt | \n| B84 | Microampere | \n| BAG | Bag | \n| BAR | bar | \n| BG1 | Bag 1 | \n| BG2 | Bag 2 | \n| BG3 | Bag 3 | \n| BG4 | Bag 4 | \n| BG5 | Bag 5 | \n| BL1 | Blister 1 | \n| BL2 | Blister 2 | \n| BL3 | Blister 3 | \n| BL4 | Blister 4 | \n| BL5 | Blister 5 | \n| BLI | Blister | \n| BOT | Bottle | \n| BQK | Becquerel/kilogram | \n| C10 | Millifarad | \n| C36 | Mol per cubic meter | \n| C38 | Mol per liter | \n| C39 | Nanoampere | \n| C3S | Cubic centimeter/second | \n| C41 | Nanofarad | \n| C56 | Newton/Square millimeter | \n| CCM | Cubic centimeter | \n| CD | Candela | \n| CDM | Cubic decimeter | \n| CM | Centimeter | \n| CM2 | Square centimeter | \n| CMH | Centimeter/hour | \n| CS | Case | \n| CT1 | Cartoon 1 | \n| CT2 | Cartoon 2 | \n| CT3 | Cartoon 3 | \n| CT4 | Cartoon 4 | \n| CT5 | Cartoon 5 | \n| CTL | Centiliter | \n| D10 | Siemens per meter | \n| D41 | Ton/Cubic meter | \n| D46 | Voltampere | \n| DEG | Degree | \n| DM | Decimeter | \n| DR | Drum | \n| DZ | Dozen | \n| EA | each | \n| EE | Enzyme Units | \n| EML | Enzyme Units / Milliliter | \n| F | Farad | \n| FA | Fahrenheit | \n| FT | Foot | \n| FT2 | Square foot | \n| FT3 | Cubic foot | \n| G | Gram | \n| G/L | gram act.ingrd / liter | \n| GAU | Gram Gold | \n| GC | Degrees Celsius | \n| GHG | Gram/hectogram | \n| GJ | Gigajoule | \n| GKG | Gram/kilogram | \n| GLI | Gram/liter | \n| GLL | US gallon | \n| GLM | Gallons per mile (US) | \n| GM | Gram/Mol | \n| GM2 | Gram/square meter | \n| GPH | Gallons per hour (US) | \n| GQ | Microgram/cubic meter | \n| GRO | Gross | \n| GW | Gram act. ingrd. | \n| H | Hour | \n| HAR | Hectare | \n| HL | Hectoliter | \n| HPA | Hectopascal | \n| HZ | Hertz (1/second) | \n| IN | Inch | \n| IN2 | Square inch | \n| IN3 | Cubic inch | \n| J | Joule | \n| JHR | Years | \n| JKG | Joule/Kilogram | \n| JKK | Spec. Heat Capacity | \n| JMO | Joule/Mol | \n| K | Kelvin | \n| KA | Kiloampere | \n| KAN | Canister | \n| KAR | Carton | \n| KBK | Kilobecquerel/kilogram | \n| KG | Kilogram | \n| KGF | Kilogram/Square meter | \n| KGK | Kilogram/Kilogram | \n| KGM | Kilogram/Mol | \n| KGS | Kilogram/second | \n| KGV | Kilogram/cubic meter | \n| KGW | Kilogram act. ingrd. | \n| KHZ | Kilohertz | \n| KI | Crate | \n| KJ | Kilojoule | \n| KJK | Kilojoule/kilogram | \n| KJM | Kilojoule/Mol | \n| KM | Kilometer | \n| KM2 | Square kilometer | \n| KMH | Kilometer/hour | \n| KMK | Cubic meter/Cubic meter | \n| KMN | Kelvin/Minute | \n| KMS | Kelvin/Second | \n| KOH | Kiloohm | \n| KPA | Kilopascal | \n| KPL | Set | \n| KT | Kilotonne | \n| KV | Kilovolt | \n| KVA | Kilovoltampere | \n| KW | Kilowatt | \n| KWH | Kilowatt hours | \n| KWK | kg act.ingrd. / kg | \n| L | Liter | \n| L2 | Liter/Minute | \n| LB | US pound | \n| LE | Activity unit | \n| LHK | Liter per 100 km | \n| LMS | Liter/Molsecond | \n| LPH | Liter per hour | \n| M | Meter | \n| M% | Percent mass | \n| M%O | Permille mass | \n| M/S | Meter/second | \n| M2 | Square meter | \n| M2I | 1 / square meter | \n| M2S | Square meter/second | \n| M3 | Cubic meter | \n| M3S | Cubic meter/second | \n| MA | Milliampere | \n| MBA | Millibar | \n| MBZ | Meterbar/second | \n| MEJ | Megajoule | \n| MG | Milligram | \n| MGF | Milligram/Square centimeter | \n| MGG | Milligram/gram | \n| MGK | Milligram/kilogram | \n| MGL | Milligram/liter | \n| MGQ | Milligram/cubic meter | \n| MGW | Megawatt | \n| MHZ | Megahertz | \n| MI | Mile | \n| MI2 | Square mile | \n| MIM | Micrometer | \n| MIN | Minute | \n| MIS | Microsecond | \n| MJ | Millijoule | \n| ML | Milliliter | \n| MLK | Milliliter/cubic meter | \n| MLW | Milliliter act. ingr. | \n| MM | Millimeter | \n| MM2 | Square millimeter | \n| MMA | Millimeter/year | \n| MMG | Millimol/gram | \n| MMH | Millimeter/hour | \n| MMK | Millimol/kilogram | \n| MMO | Millimol | \n| MMQ | Cubic millimeter | \n| MMS | Millimeter/second | \n| MNM | Millinewton/meter | \n| MOK | Mol/kilogram | \n| MOL | Mol | \n| MON | Months | \n| MPA | Megapascal | \n| MPB | Mass parts per billion | \n| MPG | Miles per gallon (US) | \n| MPM | Mass parts per million | \n| MPS | Millipascal seconds | \n| MPT | Mass parts per trillion | \n| MPZ | Meterpascal/second | \n| MQH | Cubic meter/Hour | \n| MS | Millisecond | \n| MS2 | Meter/second squared | \n| MTE | Millitesla | \n| MTS | Meter/Hour | \n| MV | Millivolt | \n| MVA | Megavoltampere | \n| MW | Milliwatt | \n| MWH | Megawatt hour | \n| N | Newton | \n| NAM | Nanometer | \n| NM | Newton/meter | \n| NS | Nanosecond | \n| OCM | Spec. Elec. Resistance | \n| OHM | Ohm | \n| OM | Spec. Elec. Resistance | \n| OPK | Packaging | \n| OPP | Vacuum package | \n| OZ | Ounce | \n| OZA | Fluid Ounce US | \n| P | Points | \n| PA | Pascal | \n| PAA | Pair | \n| PAK | Pack | \n| PAL | Pallet | \n| PAS | Pascal second | \n| PB1 | Bag 1 (prepacking) | \n| PB2 | Bag 2 (prepacking) | \n| PB3 | Bag 3 (prepacking) | \n| PB4 | Bag 4 (prepacking) | \n| PB5 | Bag 5 (prepacking) | \n| PC1 | Cartoon 1 (prepacking) | \n| PC2 | Cartoon 2 (prepacking) | \n| PC3 | Cartoon 3 (prepacking) | \n| PC4 | Cartoon 4 (prepacking) | \n| PC5 | Cartoon 5 (prepacking) | \n| PCT | Group proportion | \n| PMI | 1/minute | \n| PMR | Permeation Rate SI | \n| PPB | Parts per billion | \n| PPM | Parts per million | \n| PPT | Parts per trillion | \n| PRM | Permeation Rate | \n| PRS | Number of Persons | \n| PS | Picosecond | \n| PT | \"Pint |  US liquid\" | \n| QT | \"Quart |  US liquid\" | \n| RHO | Gram/cubic centimeter | \n| RL1 | Roll 1 | \n| RL2 | Roll 2 | \n| RL3 | Roll 3 | \n| RL4 | Roll 4 | \n| RL5 | Roll 5 | \n| ROL | Roll | \n| S | Second | \n| SHR | Shrink | \n| ST | items | \n| STD | Hours | \n| SZP | Spool | \n| TAC | Tray | \n| TAG | Days | \n| TB1 | Tube 1 | \n| TB2 | Tube 2 | \n| TB3 | Tube 3 | \n| TB4 | Tube 4 | \n| TB5 | Tube 5 | \n| TC3 | 1/cubic centimeter | \n| TES | Tesla | \n| TH | Thousands | \n| TM3 | 1/cubic meter | \n| TO | Tonne | \n| TON | US ton | \n| TOR | Bag | \n| TR1 | Tray 1 | \n| TR2 | Tray 2 | \n| TR3 | Tray 3 | \n| TR4 | Tray 4 | \n| TR5 | Tray 5 | \n| TST |  | \n| TUB | Tube | \n| UGL | Microgram/liter | \n| V | Volt | \n| V% | Percent volume | \n| V%O | Permille volume | \n| V01 | Microsiemens per centimeter | \n| V02 | Millimol per liter | \n| VAL | Value-only material | \n| VPB | Volume parts per billion | \n| VPM | Volume parts per million | \n| VPT | Volume parts per trillion | \n| W | Watt | \n| WCH | Weeks | \n| WMK | Heat Conductivity | \n| WTL | Evaporation Rate | \n| YD | Yards |  | \n| YD2 | Square Yard | \n| YD3 | Cubic yard | \n\n </details>"
    },
    {
      "name": "Localization and Language",
      "description": "### Language support in the API\n\nThe API supports localized data for certain fields. The response language can be specified using the `Accept-Language` header. The header value must match one of the languages provided by the `/utils/languages` endpoint.\n\nIf the `Accept-Language` header is missing or the specified language is not supported, responses default to English (`en`). For fields without a translation in the requested language, the API returns the value in English. Endpoints that do not return translated data ignore this header."
    },
    {
      "name": "Products statuses",
      "description": "The availability of products offered by TME is determined by applicable commercial conditions. These conditions are represented by statuses returned by the API. The following list describes the available statuses and their interpretation.\n\n### Products statuses returned by API\n\n API can return more than one status for each product. Some statuses indicate that not all data returned by API can be displayed for the user.\n | Status |   Description|\n|--------|-------------|\n| AVAILABLE_WHILE_STOCKS_LAST | The product is available for sale while stocks last. |\n| CANNOT_BE_ORDERED | This product is not available for sale in your country. |\n| DANGEROUS | Specifies dangerous goods (explosives, combustible materials, gases, etc.) which can't be delivered, for example, by air. |\n| EXTERNAL_WAREHOUSE | Product from an external warehouse. |\n| HARDLY_AVAILABLE | This status indicates that the product has limited market availability. |\n| INVALID | This kind of product cannot be moved between parking directories. It cannot be added after removal. We do not have any information about it. API does not return a PiP link for it. |\n| MOQ_VALID_WHILE_STOCKS_LAST | The Minimum Order Quantity (MOQ) may change after the product is sold out. |\n| NEW | Product is new in the catalog. |\n| NOT_IN_OFFER |'Product is not in our offer anymore.' API should not return stock and prices for it. We cannot display delivery time for it. |\n| ONLY_FOR_SPECIAL_ORDER | Product is available only for special order. Please contact the Sales Department to order the item.  |\n| OVERSIZED | Large product/package. Can't be delivered, for example, by air. |\n| PRODUCT_BLOCKED | Product blocked for sale. |"
    },
    {
      "name": "auth",
      "description": "### Overview\n\nTo access the TME API, two active accounts are required: a developer account registered at [developers.tme.eu](https://developers.tme.eu) and a customer account at [tme.eu](https://www.tme.eu). Both accounts must be properly activated before you can proceed with API integration.\n\nThe API uses an [OAuth 2.0](https://oauth.net/2/)–based authorization mechanism for secure access management.\n\n### Setup Flow\n\n> #### Application Registration\n\nLog in to your customer account at [tme.eu](https://www.tme.eu) and navigate to the \"Applications\" section in the user panel. Register a new application. After registration, a temporary token will be generated. This token is used to authenticate your customer account on the developer portal and is necessary for generating an API key.\n\n> #### Private Key Generation\n\nGo to [developers.tme.eu](https://developers.tme.eu), create a new application, provide the temporary token, and specify the key purpose. After generating the private key, you can use it to authorize API requests.\n\n### Token Endpoint\n\nAccess tokens are obtained via the `/auth/token` endpoint using the `POST` method. Two grant types are supported:\n- `client_credentials`: for obtaining an access token and refresh token using client credentials for initial access\n- `refresh_token`: for obtaining a new access token and refresh token pair using client credentials and a previously received refresh token\n\n### Authentication\n\nThe request must be authenticated using HTTP Basic Auth. Use the 50-character token as the username and the 20-character application secret as the password. These credentials are generated during application registration and are available at [developers.tme.eu](https://developers.tme.eu) in the application details.\n\n### Request & Response Format\n\nThe base API URL is `https://api.tme.eu/`. Request URLs vary based on the action, resource, and expected response type. The required request format is specified individually for each endpoint in the documentation.\n\nResponses are returned in JSON format. On success, the server typically responds with HTTP status `200 OK` and a payload containing a `data` object with the relevant information.\n\n### Documentation\n\nAll API actions, parameters, and response formats are described in details in the corresponding sections of the API documentation. A full guide for account setup, application registration, and token generation is available at: [Step-by-Step Setup Instructions](https://developers.tme.eu/en/how-to-start/download)"
    },
    {
      "name": "products"
    },
    {
      "name": "utils"
    }
  ],
  "paths": {
    "/auth/token": {
      "post": {
        "tags": [
          "auth"
        ],
        "x-visibility": "public",
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "oneOf": [
                  {
                    "title": "Client Credentials",
                    "type": "object",
                    "required": [
                      "grant_type"
                    ],
                    "properties": {
                      "grant_type": {
                        "type": "string",
                        "enum": [
                          "client_credentials"
                        ],
                        "description": "Type of the authorization flow."
                      }
                    }
                  },
                  {
                    "title": "Refresh Token",
                    "type": "object",
                    "required": [
                      "grant_type",
                      "refresh_token"
                    ],
                    "properties": {
                      "grant_type": {
                        "type": "string",
                        "enum": [
                          "refresh_token"
                        ],
                        "description": "Type of the authorization flow."
                      },
                      "refresh_token": {
                        "type": "string",
                        "description": "Refresh token generated by the `/auth/token` endpoint."
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful response containing data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "access_token": {
                      "type": "string",
                      "description": "Token for authorizing API requests."
                    },
                    "token_type": {
                      "type": "string",
                      "description": "Type of the returned tokens."
                    },
                    "expires_in": {
                      "type": "number",
                      "description": "Token expiration time in seconds."
                    },
                    "refresh_token": {
                      "type": "string",
                      "description": "Refresh token for obtaining a new access token."
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "access_token": "eyJ...",
                      "token_type": "Bearer",
                      "expires_in": 300,
                      "refresh_token": "eyJ..."
                    }
                  }
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "cURL",
            "label": "CLI",
            "source": "curl --location 'https://api.tme.eu/auth/token' \\\n--header 'Content-Type: application/x-www-form-urlencoded' \\\n--header 'Authorization: Basic <base64(token:secret)>' \\\n--data-urlencode 'grant_type=client_credentials'"
          }
        ]
      }
    },
    "/products": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "summary": "/products",
        "description": "Action returns basic information about products currently available in our offer. Parameters like description, category name, and unit are translated according to the Accept-Language header set in request (see more here [Localization and Language](#tag/Localization-and-Language)). This endpoint is limited by the maximum number of symbols that can be submitted as input to this action. The maximum number of symbols is equal to 50.\n\nProducts symbols not found in product catalog will be omitted in response. If the request contains only one invalid product symbol, an empty array will be returned.\n\n**Note:** Provide either `symbols` or `mpns`.",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "symbols[]",
            "in": "query",
            "description": "List of product symbols.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "minItems": 1,
              "maxItems": 50,
              "example": [
                "M7-DIO",
                "AX-100"
              ]
            }
          },
          {
            "name": "mpns[]",
            "in": "query",
            "description": "List of product MPNs.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "minItems": 1,
              "maxItems": 50,
              "example": [
                "A76-U10",
                "SKU 111"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response containing status and data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Response status. \"OK\" indicates that the action was successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Action response data.",
                      "properties": {
                        "elements": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "product_status": {
                                "type": "array",
                                "description": "List of product statuses. For a description of each status, see [Products statuses](#tag/Products-statuses).",
                                "items": {
                                  "type": "string"
                                }
                              },
                              "symbol": {
                                "type": "string",
                                "description": "Unique product identifier."
                              },
                              "ean": {
                                "type": "string",
                                "description": "EAN number. Field can be empty."
                              },
                              "customer_symbol": {
                                "type": "string",
                                "description": "Customer symbol for the product, if provided."
                              },
                              "category": {
                                "type": "object",
                                "description": "Product category details.",
                                "properties": {
                                  "id": {
                                    "type": "number",
                                    "description": "Category identifier."
                                  },
                                  "name": {
                                    "type": "string",
                                    "description": "Category name."
                                  }
                                }
                              },
                              "manufacturer_symbols": {
                                "type": "array",
                                "description": "List of manufacturer symbols for the product.",
                                "items": {
                                  "type": "string"
                                }
                              },
                              "manufacturer": {
                                "type": "object",
                                "description": "Product manufacturer details.",
                                "properties": {
                                  "id": {
                                    "type": "number",
                                    "description": "Manufacturer identifier."
                                  },
                                  "name": {
                                    "type": "string",
                                    "description": "Manufacturer name."
                                  }
                                }
                              },
                              "description": {
                                "type": "string",
                                "description": "Product description."
                              },
                              "multiples": {
                                "type": "number",
                                "description": "Product multiplicity. Product quantity must be a multiple of this value."
                              },
                              "minimal_amount": {
                                "type": "number",
                                "description": "Minimal order quantity."
                              },
                              "weight": {
                                "type": "object",
                                "description": "Product weight details.",
                                "properties": {
                                  "value": {
                                    "type": "number",
                                    "description": "Product weight."
                                  },
                                  "unit": {
                                    "type": "string",
                                    "description": "Unit in which the weight is provided."
                                  }
                                }
                              },
                              "unit": {
                                "type": "object",
                                "description": "Product unit details.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "description": "Unit identifier."
                                  },
                                  "short_name": {
                                    "type": "string",
                                    "description": "Short name of unit type e.g. 'pcs'."
                                  },
                                  "singular_translation": {
                                    "type": "string",
                                    "nullable": true,
                                    "description": "Name of unit e.g. 'Piece'."
                                  },
                                  "plural_translation": {
                                    "type": "string",
                                    "nullable": true,
                                    "description": "Plural translation e.g. 'Pieces'."
                                  }
                                }
                              },
                              "packing": {
                                "type": "object",
                                "description": "List of available product packaging options.",
                                "properties": {
                                  "elements": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "type": "string",
                                          "description": "Packaging type identifier."
                                        },
                                        "translation": {
                                          "type": "string",
                                          "description": "Packaging type name."
                                        },
                                        "amount": {
                                          "type": "number",
                                          "description": "Number of items in package."
                                        }
                                      }
                                    }
                                  }
                                }
                              },
                              "assets": {
                                "type": "object",
                                "description": "Product image assets.",
                                "properties": {
                                  "primary_photo": {
                                    "nullable": true,
                                    "description": "Primary image with different resolutions.",
                                    "type": "object",
                                    "properties": {
                                      "prime": {
                                        "type": "string",
                                        "description": "Main image URL."
                                      },
                                      "thumbnail": {
                                        "type": "string",
                                        "description": "Thumbnail image URL."
                                      },
                                      "high_resolution": {
                                        "type": "string",
                                        "nullable": true,
                                        "description": "High-resolution image URL."
                                      }
                                    }
                                  }
                                }
                              },
                              "notification": {
                                "nullable": true,
                                "type": "object",
                                "description": "Product availability notification settings.",
                                "properties": {
                                  "any_increase": {
                                    "type": "boolean",
                                    "description": "Indicates if notifications are triggered on any stock increase up to the `required_amount`."
                                  },
                                  "created_at": {
                                    "type": "string",
                                    "description": "Timestamp of the notification creation."
                                  },
                                  "required_amount": {
                                    "type": "number",
                                    "description": "Required product quantity."
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "status": "OK",
                      "data": {
                        "elements": [
                          {
                            "product_status": [
                              "AVAILABLE_WHILE_STOCKS_LAST"
                            ],
                            "symbol": "AX-100",
                            "ean": "",
                            "customer_symbol": "",
                            "category": {
                              "id": 112610,
                              "name": "Portable digital multimeters"
                            },
                            "manufacturer_symbols": [],
                            "manufacturer": {
                              "id": 271,
                              "name": "AXIOMET / Transfer Multisort Elektronik Sp. z o.o."
                            },
                            "description": "Digital multimeter; LCD 3,5 digit (1999); 3x/s; 0÷40°C",
                            "multiples": 1,
                            "minimal_amount": 1,
                            "weight": {
                              "value": 239.4,
                              "unit": "g"
                            },
                            "unit": {
                              "id": "ST",
                              "short_name": "pcs",
                              "singular_translation": "Piece",
                              "plural_translation": null
                            },
                            "packing": {
                              "elements": [
                                {
                                  "id": "CT2",
                                  "translation": "Cardboard",
                                  "amount": 2
                                }
                              ]
                            },
                            "assets": {
                              "primary_photo": {
                                "prime": "//ce8dc832c.cloudimg.io/v7/_cdn_/A7/25/90/00/0/610938_1.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=076bdcd2064eab934dbc198feae0f6966b8b46b2",
                                "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn_/A7/25/90/00/0/610938_1.jpg?width=100&height=75&q=75&ci_sign=085b9ae47f022f053d0a471a419c1610c84d8d6d",
                                "high_resolution": "//ce8dc832c.cloudimg.io/v7/_cdn_/A7/25/90/00/0/610938_1.jpg?width=1440&height=1080&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=ec32cbb3f2144578ae9262a384200194e5e33558"
                              }
                            },
                            "notification": {
                              "any_increase": false,
                              "created_at": "2026-05-07T11:36:07+02:00",
                              "required_amount": 800
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/products/categories/list": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "summary": "/products/categories/list",
        "description": "Endpoint returns list of categories. ",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "root_category_id",
            "in": "query",
            "description": "Top-level category identifier. The parameter accepts the ID of the category for which the subcategory list will be returned. The ID can be retrieved using the following endpoints: `/products`, `/products/search`, `/products/categories/list`, and `/products/categories/tree`, without providing the parameter `root_category_id`.",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "manufacturer_id",
            "in": "query",
            "description": "Manufacturer identifier. ID can be found using `/products/manufacturers`, `/products` or `/products/search` endpoint. ",
            "schema": {
              "type": "number"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response containing status and data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Response status. \"OK\" indicates that the action was successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Action response data.",
                      "properties": {
                        "elements": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "parent_id": {
                                "type": "number",
                                "description": "Parent category identifier."
                              },
                              "id": {
                                "type": "number",
                                "description": "Category identifier."
                              },
                              "products_count": {
                                "type": "number",
                                "description": "Number of products in the category."
                              },
                              "thumbnail": {
                                "type": "string",
                                "description": "Category thumbnail image URL."
                              },
                              "name": {
                                "type": "string",
                                "description": "Category name."
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "status": "OK",
                      "data": {
                        "elements": [
                          {
                            "parent_id": 100164,
                            "id": 100277,
                            "products_count": 120,
                            "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/160010090.png?width=170&height=128&ci_sign=d0f8e1044ba569ce7e5243bcda5de6057b8ca762",
                            "name": "Laboratory instruments"
                          },
                          {
                            "parent_id": 100277,
                            "id": 112658,
                            "products_count": 58,
                            "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/160010090060.png?width=170&height=128&ci_sign=b5d8503d5f4bbeaf8b615b450e4ba2ab62bce7b9",
                            "name": "Calibrators"
                          },
                          {
                            "parent_id": 100277,
                            "id": 112659,
                            "products_count": 62,
                            "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/160010090070.png?width=170&height=128&ci_sign=2a43806f8ca5d986dd20050168883b8b2a4df2a5",
                            "name": "Calibrators - Accessories"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/products/categories/tree": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "summary": "/products/categories/tree",
        "description": "Endpoint returns a structured categories tree.",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "root_category_id",
            "in": "query",
            "description": "Top-level category identifier. The parameter accepts the ID of the category for which the subcategory list will be returned. The ID can be retrieved using the following endpoints: `/products`, `/products/search`, `/products/categories/list`, and `/products/categories/tree`, without providing the parameter `root_category_id`.",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "manufacturer_id",
            "in": "query",
            "description": "Manufacturer identifier. ID can be found using `/products/manufacturers`, `/products` or `/products/search` endpoint. ",
            "schema": {
              "type": "number"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response containing status and data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Response status. \"OK\" indicates that the action was successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Action response data.",
                      "properties": {
                        "elements": {
                          "type": "object",
                          "allOf": [
                            {
                              "type": "object",
                              "properties": {
                                "parent_id": {
                                  "type": "number",
                                  "description": "Parent category identifier."
                                },
                                "id": {
                                  "type": "number",
                                  "description": "Category identifier."
                                },
                                "products_count": {
                                  "type": "number",
                                  "description": "Number of products in the category."
                                },
                                "thumbnail": {
                                  "type": "string",
                                  "description": "Category thumbnail image URL."
                                },
                                "name": {
                                  "type": "string",
                                  "description": "Category name."
                                }
                              }
                            },
                            {
                              "type": "object",
                              "properties": {
                                "children": {
                                  "type": "array",
                                  "description": "List of child categories.",
                                  "items": {
                                    "allOf": [
                                      {
                                        "type": "object",
                                        "properties": {
                                          "parent_id": {
                                            "type": "number",
                                            "description": "Parent category identifier."
                                          },
                                          "id": {
                                            "type": "number",
                                            "description": "Category identifier."
                                          },
                                          "products_count": {
                                            "type": "number",
                                            "description": "Number of products in the category."
                                          },
                                          "thumbnail": {
                                            "type": "string",
                                            "description": "Category thumbnail image URL."
                                          },
                                          "name": {
                                            "type": "string",
                                            "description": "Category name."
                                          }
                                        }
                                      },
                                      {
                                        "type": "object",
                                        "properties": {
                                          "children": {
                                            "type": "array",
                                            "description": "List of child categories.",
                                            "items": {
                                              "allOf": [
                                                {
                                                  "type": "object",
                                                  "properties": {
                                                    "parent_id": {
                                                      "type": "number",
                                                      "description": "Parent category identifier."
                                                    },
                                                    "id": {
                                                      "type": "number",
                                                      "description": "Category identifier."
                                                    },
                                                    "products_count": {
                                                      "type": "number",
                                                      "description": "Number of products in the category."
                                                    },
                                                    "thumbnail": {
                                                      "type": "string",
                                                      "description": "Category thumbnail image URL."
                                                    },
                                                    "name": {
                                                      "type": "string",
                                                      "description": "Category name."
                                                    }
                                                  }
                                                },
                                                {
                                                  "type": "object",
                                                  "properties": {
                                                    "children": {
                                                      "type": "array",
                                                      "description": "Another list of child categories, if present.",
                                                      "items": {
                                                        "type": "object"
                                                      }
                                                    }
                                                  }
                                                }
                                              ]
                                            }
                                          }
                                        }
                                      }
                                    ]
                                  }
                                }
                              }
                            }
                          ]
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "status": "OK",
                      "data": {
                        "elements": {
                          "parent_id": 111000,
                          "id": 63,
                          "products_count": 436,
                          "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070.png?width=170&height=128&ci_sign=3ea9609c76bc8739b8e21e463e128c601f006732",
                          "name": "Sound Sources",
                          "children": [
                            {
                              "parent_id": 63,
                              "id": 100207,
                              "products_count": 197,
                              "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070010.png?width=170&height=128&ci_sign=6907243fad9e64f1483cd3d296ddb0d10627b9c8",
                              "name": "Speakers",
                              "children": []
                            },
                            {
                              "parent_id": 63,
                              "id": 100225,
                              "products_count": 16,
                              "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070020.png?width=170&height=128&ci_sign=49e8d0ebcb21d3ce8bc3ec95214120e42a9ca4eb",
                              "name": "Microphones and Headsets",
                              "children": []
                            },
                            {
                              "parent_id": 63,
                              "id": 100208,
                              "products_count": 223,
                              "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030.png?width=170&height=128&ci_sign=16809dca23417f933c9b9608aa97950e91d6f966",
                              "name": "Sounders",
                              "children": [
                                {
                                  "parent_id": 100208,
                                  "id": 112496,
                                  "products_count": 97,
                                  "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030010.png?width=170&height=128&ci_sign=2680167689dd00b629297469d9d9fb1edbfc42b2",
                                  "name": "Electromagnetic Sounders",
                                  "children": [
                                    {
                                      "parent_id": 112496,
                                      "id": 112497,
                                      "products_count": 36,
                                      "children": [],
                                      "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030010010.png?width=170&height=128&ci_sign=5cad7aa19f244382e394f8adf6db196b341f9027",
                                      "name": "Electromagnetic Sounders with Generator"
                                    },
                                    {
                                      "parent_id": 112496,
                                      "id": 112498,
                                      "products_count": 61,
                                      "children": [],
                                      "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030010020.png?width=170&height=128&ci_sign=617f9b0200c0cb69cf95f72f1a7bb1109d6beca9",
                                      "name": "Electromagnetic Sounders w/o Generator"
                                    }
                                  ]
                                },
                                {
                                  "parent_id": 100208,
                                  "id": 112499,
                                  "products_count": 101,
                                  "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030020.png?width=170&height=128&ci_sign=5940b49c3ab34531c3230816e68657a90835c206",
                                  "name": "Piezoelectric signallers",
                                  "children": [
                                    {
                                      "parent_id": 112499,
                                      "id": 112500,
                                      "products_count": 62,
                                      "children": [],
                                      "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030020010.png?width=170&height=128&ci_sign=dfb3b0f1ba4148c4ad4390d5ce9092847ac3ba85",
                                      "name": "Piezo Transducers with Generator"
                                    },
                                    {
                                      "parent_id": 112499,
                                      "id": 112501,
                                      "products_count": 39,
                                      "children": [],
                                      "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030020020.png?width=170&height=128&ci_sign=ac82b4ec657b1adc5e17fa609adf3589e38f227f",
                                      "name": "Piezo Transducers without Generator"
                                    }
                                  ]
                                },
                                {
                                  "parent_id": 100208,
                                  "id": 113633,
                                  "products_count": 24,
                                  "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030030.png?width=170&height=128&ci_sign=7c995d5dfdd89557133933b0c1b536e5a925987d",
                                  "name": "Panel Sound Signalling Devices",
                                  "children": []
                                },
                                {
                                  "parent_id": 100208,
                                  "id": 114290,
                                  "products_count": 1,
                                  "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn-category_/070030990.png?width=170&height=128&ci_sign=bd36b8973d12ec8f4918476e7dd343651b917812",
                                  "name": "Sounders - unclassified",
                                  "children": []
                                }
                              ]
                            }
                          ]
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/products/data": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "summary": "/products/data",
        "description": "This action returns a list of product prices, stock levels, and delivery details for the TME warehouse. This method is limited by the maximum number of symbols that can be submitted as input to this action. The maximum number of symbols is equal to 50. ",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "description": "Currency identifier, according to which price values will be returned.",
            "schema": {
              "type": "string",
              "example": "EUR"
            }
          },
          {
            "name": "scope[]",
            "in": "query",
            "description": "Type of data to be returned. At least one value is required.\n- If `scope[]` includes `prices` or `stock`, only `symbols[]` is required.\n- If `scope[]` includes `delivery` or `delivery_confirmed`, both `symbols[]` and `amounts[]` are required.\n - `delivery` and `delivery_confirmed` cannot be used together.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "prices",
                  "stock",
                  "delivery",
                  "delivery_confirmed"
                ]
              },
              "example": [
                "prices",
                "delivery"
              ]
            }
          },
          {
            "name": "symbols[]",
            "in": "query",
            "description": "List of product symbols.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "minItems": 1,
              "maxItems": 50,
              "example": [
                "M7-DIO",
                "AX-100"
              ]
            }
          },
          {
            "name": "amounts[]",
            "in": "query",
            "description": "A list of product quantities used to calculate delivery availability and confirmed delivery dates. This parameter is mandatory when requesting data within the `delivery` or `delivery_confirmed` scope. Delivery information will be returned for each quantity specified in the request.\n\nList of amounts for products given in the `symbols[]` parameter. The order of elements in `amounts[]` must match the order of elements in `symbols[]`.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "number"
              },
              "minItems": 1,
              "maxItems": 50,
              "example": [
                "100",
                "2"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response containing status and data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Response status. \"OK\" indicates that the action was successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Action response data.",
                      "properties": {
                        "elements": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "stock_quantity": {
                                "type": "number",
                                "nullable": true,
                                "description": "Number of products in stock. Returns null if only `prices` query parameter is selected."
                              },
                              "symbol": {
                                "type": "string",
                                "description": "Unique product identifier."
                              },
                              "unit": {
                                "type": "object",
                                "description": "Product unit details.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "description": "Unit identifier."
                                  },
                                  "short_name": {
                                    "type": "string",
                                    "description": "Short name of unit type e.g. 'pcs'."
                                  },
                                  "singular_translation": {
                                    "type": "string",
                                    "nullable": true,
                                    "description": "Name of unit e.g. 'Piece'."
                                  },
                                  "plural_translation": {
                                    "type": "string",
                                    "nullable": true,
                                    "description": "Plural translation e.g. 'Pieces'."
                                  }
                                }
                              },
                              "prices": {
                                "type": "object",
                                "nullable": true,
                                "description": "Product pricing details. Returns null if `prices` query parameter is not selected.",
                                "properties": {
                                  "elements": {
                                    "type": "array",
                                    "description": "List of quantity-based price tiers.",
                                    "items": {
                                      "allOf": [
                                        {
                                          "type": "object",
                                          "properties": {
                                            "amount": {
                                              "type": "number",
                                              "description": "Minimum quantity required for the price tier."
                                            },
                                            "price": {
                                              "type": "number",
                                              "description": "Unit price for the quantity tier."
                                            }
                                          }
                                        },
                                        {
                                          "type": "object",
                                          "properties": {
                                            "special": {
                                              "type": "boolean",
                                              "description": "Indicates if the price is a special customer price."
                                            }
                                          }
                                        }
                                      ]
                                    }
                                  },
                                  "tax": {
                                    "type": "object",
                                    "description": "Product tax details.",
                                    "properties": {
                                      "type": {
                                        "type": "string",
                                        "description": "Tax type."
                                      },
                                      "rate": {
                                        "type": "string",
                                        "description": "Tax percentage rate."
                                      }
                                    }
                                  },
                                  "currency": {
                                    "type": "string",
                                    "description": "Currency of returned prices."
                                  },
                                  "type": {
                                    "type": "string",
                                    "description": "Product price type.",
                                    "enum": [
                                      "NET",
                                      "GROSS"
                                    ]
                                  }
                                }
                              },
                              "deliveries": {
                                "type": "object",
                                "nullable": true,
                                "description": "List of product stock and delivery status details. Returns null if `delivery` or `delivery_confirmed` query parameter is not selected.",
                                "properties": {
                                  "elements": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "status": {
                                          "type": "string",
                                          "description": "Information about availability:\n- **DS_AVAILABLE_IN_STOCK** - Product available in stock.\n- **DS_DATE_AS_WEEK** - Product ordered from supplier with confirmed delivery.\n- **DS_SUPPLIER_WAREHOUSE_DATE_AS_WEEK** - Product available from supplier. Minimum purchase quantities may apply. Estimated warehouse delivery is provided (for an order placed today).\n- **DS_WAITING_FOR_CONFIRMATION_FROM_VENDOR** - Product ordered from supplier, awaiting confirmation.\n- **DS_DELIVERY_NEEDS_CONFIRMATION** - Product not yet ordered from supplier. Please contact our sales department.\n\nFor **DS_DATE_AS_WEEK** and **DS_SUPPLIER_WAREHOUSE_DATE_AS_WEEK** statuses, `data` returns `week`, `year`, `range_start`, `range_end` and `supply_date`.\n\nFor **DS_DELIVERY_NEEDS_CONFIRMATION** status, `data` returns `waiting_period` and `supply_date`.\n\nFor all other statuses, `data` is null."
                                        },
                                        "amount": {
                                          "type": "number",
                                          "description": "Number of items available for the status."
                                        },
                                        "data": {
                                          "type": "object",
                                          "nullable": true,
                                          "description": "Estimated delivery date details based on the status.",
                                          "properties": {
                                            "week": {
                                              "type": "string",
                                              "description": "ISO delivery week."
                                            },
                                            "year": {
                                              "type": "string",
                                              "description": "Delivery year."
                                            },
                                            "range_start": {
                                              "type": "string",
                                              "description": "Start of the delivery week."
                                            },
                                            "range_end": {
                                              "type": "string",
                                              "description": "End of the delivery week."
                                            },
                                            "waiting_period": {
                                              "type": "string",
                                              "description": "Standard manufacturer lead time in weeks."
                                            },
                                            "supply_date": {
                                              "type": "string",
                                              "description": "Estimated delivery date."
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "status": "OK",
                      "data": {
                        "elements": [
                          {
                            "stock_quantity": 647,
                            "symbol": "02KR-6H-P",
                            "unit": {
                              "id": "ST",
                              "short_name": "pcs",
                              "singular_translation": "Piece",
                              "plural_translation": null
                            },
                            "prices": {
                              "elements": [
                                {
                                  "amount": 1,
                                  "price": 0.647,
                                  "special": false
                                },
                                {
                                  "amount": 2000,
                                  "price": 0.6052,
                                  "special": false
                                }
                              ],
                              "tax": {
                                "type": "VAT",
                                "rate": 23
                              },
                              "currency": "PLN",
                              "type": "GROSS"
                            },
                            "deliveries": {
                              "elements": [
                                {
                                  "status": "DS_AVAILABLE_IN_STOCK",
                                  "amount": 647,
                                  "data": null
                                },
                                {
                                  "status": "DS_DELIVERY_NEEDS_CONFIRMATION",
                                  "amount": 353,
                                  "data": {
                                    "waiting_period": "P5W",
                                    "supply_date": "2026-06-17"
                                  }
                                }
                              ]
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/products/files": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "summary": "/products/files",
        "description": "This action returns a list of additional photos and documents correlated with specified products. The method is limited by the maximum number of product symbols that can be submitted as an input to this action. The maximum number of symbols is equal to 50.\n\n Endpoint can return these types of documents:\n\n- **INS** - Manual,\n- **DTE** - Documentation,\n- **KCH** - Safety Data Sheet,\n- **GWA** - Warranty,\n- **INB** - Safety instructions,\n- **MOV** - Video,\n- **YTB** - YouTube video,\n- **PRE** - Presentation,\n- **SFT** - Software.",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "symbols[]",
            "in": "query",
            "description": "List of product symbols.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "minItems": 1,
              "maxItems": 50,
              "example": [
                "M7-DIO",
                "AX-100"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response containing status and data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Response status. \"OK\" indicates that the action was successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Action response data.",
                      "properties": {
                        "elements": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "symbol": {
                                "type": "string",
                                "description": "Product symbol."
                              },
                              "assets": {
                                "type": "object",
                                "description": "Product image assets.",
                                "properties": {
                                  "primary_photo": {
                                    "nullable": true,
                                    "description": "Primary image with different resolutions.",
                                    "type": "object",
                                    "properties": {
                                      "prime": {
                                        "type": "string",
                                        "description": "Main image URL."
                                      },
                                      "thumbnail": {
                                        "type": "string",
                                        "description": "Thumbnail image URL."
                                      },
                                      "high_resolution": {
                                        "type": "string",
                                        "nullable": true,
                                        "description": "High-resolution image URL."
                                      }
                                    }
                                  },
                                  "additional": {
                                    "type": "object",
                                    "description": "List of additional images with different resolutions.",
                                    "properties": {
                                      "elements": {
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "prime": {
                                              "type": "string",
                                              "description": "Main image URL."
                                            },
                                            "thumbnail": {
                                              "type": "string",
                                              "description": "Thumbnail image URL."
                                            },
                                            "high_resolution": {
                                              "type": "string",
                                              "nullable": true,
                                              "description": "High-resolution image URL."
                                            }
                                          }
                                        }
                                      }
                                    }
                                  },
                                  "presentation": {
                                    "type": "object",
                                    "description": "List of images used for 360° product presentation.",
                                    "properties": {
                                      "elements": {
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "photo": {
                                              "type": "string",
                                              "description": "Image URL."
                                            },
                                            "position": {
                                              "type": "number",
                                              "description": "Image position number."
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              },
                              "documents": {
                                "type": "object",
                                "description": "List of product documents.",
                                "properties": {
                                  "elements": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "url": {
                                          "type": "string",
                                          "description": "Document URL."
                                        },
                                        "type": {
                                          "type": "string",
                                          "description": "Document type."
                                        },
                                        "size": {
                                          "type": "integer",
                                          "description": "Document size."
                                        },
                                        "file_name": {
                                          "type": "string",
                                          "description": "File name."
                                        },
                                        "language": {
                                          "type": "string",
                                          "description": "Document language identifier."
                                        }
                                      }
                                    }
                                  }
                                }
                              },
                              "parameter_images": {
                                "type": "object",
                                "properties": {
                                  "elements": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "name": {
                                          "type": "string",
                                          "description": "Image name."
                                        },
                                        "url": {
                                          "type": "string",
                                          "description": "Image URL."
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "status": "OK",
                      "data": {
                        "elements": [
                          {
                            "symbol": "ARG-15391",
                            "assets": {
                              "primary_photo": {
                                "prime": "//ce8dc832c.cloudimg.io/v7/_cdn_/2C/F0/C0/00/0/790466_1.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=43bf7a99130ffc42ba3c75ee8bf9a6da7ed276e3",
                                "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn_/2C/F0/C0/00/0/790466_1.jpg?width=100&height=75&q=75&ci_sign=8f71bfcc8b7ab2a52af5217399936383d1eb42aa",
                                "high_resolution": "//ce8dc832c.cloudimg.io/v7/_cdn_/2C/F0/C0/00/0/790466_1.jpg?width=1440&height=1080&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=37e148a4e696422086281fa455852719bd7b5955"
                              },
                              "additional": {
                                "elements": [
                                  {
                                    "prime": "//ce8dc832c.cloudimg.io/v7/_cdn_/6F/F0/C0/00/0/790518_1.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=0aea75a89c86ead4680674fa0cf63dfb3fa65aad",
                                    "thumbnail": "//ce8dc832c.cloudimg.io/v7/_cdn_/6F/F0/C0/00/0/790518_1.jpg?width=100&height=75&q=75&ci_sign=6d3df80b2706044723e04cf7bddd5e1ebd00dbd7",
                                    "high_resolution": "//ce8dc832c.cloudimg.io/v7/_cdn_/6F/F0/C0/00/0/790518_1.jpg?width=1440&height=1080&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=08bbf99bc9ee78bb0580bfffa410d2a236e4f04a"
                                  }
                                ]
                              },
                              "presentation": {
                                "elements": [
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_1.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=2df1b3b5050823e37ba0e331d628c78c1807c7b5",
                                    "position": 0
                                  },
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_2.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=c489b0c5cbc99f8684e853d6a007bbe4bba1ff8d",
                                    "position": 1
                                  },
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_3.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=7698fbe21fd5dfd49294cce35b670eab9a130381",
                                    "position": 2
                                  },
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_4.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=44b71a8fc6942c1d2d7bc99eef78215ec448be22",
                                    "position": 3
                                  },
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_5.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=0d6518e7f446acab3a64c38d37a40246ae2a59d9",
                                    "position": 4
                                  },
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_6.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=375e92953fc4619c1bc3c0eee610451d52f650b7",
                                    "position": 5
                                  },
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_7.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=405416916e4e8119fe9d827afe3fc842e869c324",
                                    "position": 6
                                  },
                                  {
                                    "photo": "//ce8dc832c.cloudimg.io/v7/_cdn_/4A/E0/C0/00/0/790180_8.jpg?width=640&height=480&wat=1&wat_url=_tme-wrk_%2Ftme_new.png&wat_scale=100p&ci_sign=f39f285d7c542fafdc6c6c59124687bcffc7191b",
                                    "position": 7
                                  }
                                ]
                              }
                            },
                            "documents": {
                              "elements": []
                            },
                            "parameter_images": {
                              "elements": []
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/products/manufacturers": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "category_id",
            "in": "query",
            "schema": {
              "type": "number",
              "description": "Category identifier."
            }
          },
          {
            "name": "sort[field]",
            "in": "query",
            "description": "Field name to use for sorting results.",
            "schema": {
              "type": "string",
              "enum": [
                "name",
                "items_count"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response containing status and data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Response status. \"OK\" indicates that the action was successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Action response data.",
                      "properties": {
                        "elements": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "number",
                                "description": "Manufacturer identifier."
                              },
                              "name": {
                                "type": "string",
                                "description": "Manufacturer name."
                              },
                              "products_count": {
                                "type": "number",
                                "description": "Number of products by manufacturer."
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "status": "OK",
                      "data": {
                        "elements": [
                          {
                            "id": 1418,
                            "name": "Aptiv",
                            "products_count": 1
                          },
                          {
                            "id": 317,
                            "name": "BeStar Holding Co., LTD",
                            "products_count": 42
                          },
                          {
                            "id": 1464,
                            "name": "Cre-sound Electronics",
                            "products_count": 34
                          },
                          {
                            "id": 321,
                            "name": "DIGISOUND",
                            "products_count": 7
                          },
                          {
                            "id": 323,
                            "name": "LOUDITY / Transfer Multisort Elektronik Sp. z o.o.",
                            "products_count": 93
                          },
                          {
                            "id": 1356,
                            "name": "MPM",
                            "products_count": 27
                          },
                          {
                            "id": 828,
                            "name": "ONPOW Push Button Manufacture Co.,Ltd.",
                            "products_count": 24
                          },
                          {
                            "id": 322,
                            "name": "VISATON",
                            "products_count": 182
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/products/parameters": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "summary": "/products/parameters",
        "description": "Action returns a list of product parameters - e.g. voltage, load current, power dissipation etc.",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "symbols[]",
            "in": "query",
            "description": "List of product symbols.",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "minItems": 1,
              "maxItems": 50,
              "example": [
                "M7-DIO",
                "AX-100"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response containing status and data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "description": "Response status. \"OK\" indicates that the action was successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Action response data.",
                      "properties": {
                        "elements": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "symbol": {
                                "type": "string",
                                "description": "Product symbol."
                              },
                              "parameters": {
                                "type": "object",
                                "description": "List of product parameters.",
                                "properties": {
                                  "elements": {
                                    "type": "array",
                                    "items": {
                                      "properties": {
                                        "id": {
                                          "type": "number",
                                          "description": "Parameter identifier."
                                        },
                                        "name": {
                                          "type": "string",
                                          "description": "Parameter name."
                                        },
                                        "values": {
                                          "type": "array",
                                          "description": "List of parameter values.",
                                          "items": {
                                            "properties": {
                                              "id": {
                                                "type": "number",
                                                "description": "Value identifier."
                                              },
                                              "value": {
                                                "type": "string",
                                                "description": "Value label."
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "DataResponse": {
                    "value": {
                      "status": "OK",
                      "data": {
                        "elements": [
                          {
                            "symbol": "W10R-4A",
                            "parameters": {
                              "elements": [
                                {
                                  "id": 2,
                                  "name": "Manufacturer",
                                  "values": [
                                    {
                                      "id": 144,
                                      "value": "Zakłady Podzespołów Radiowych MIFLEX SA"
                                    }
                                  ]
                                },
                                {
                                  "id": 149,
                                  "name": "Type of generator",
                                  "values": [
                                    {
                                      "id": 1518625,
                                      "value": "high voltage"
                                    }
                                  ]
                                },
                                {
                                  "id": 120,
                                  "name": "Operating voltage",
                                  "values": [
                                    {
                                      "id": 1449928,
                                      "value": "230V AC"
                                    }
                                  ]
                                },
                                {
                                  "id": 63,
                                  "name": "Number of outputs",
                                  "values": [
                                    {
                                      "id": 1454201,
                                      "value": "4"
                                    }
                                  ]
                                },
                                {
                                  "id": 32,
                                  "name": "Operating temperature",
                                  "values": [
                                    {
                                      "id": 1820509,
                                      "value": "0...130°C"
                                    }
                                  ]
                                },
                                {
                                  "id": 157,
                                  "name": "Electrical life",
                                  "values": [
                                    {
                                      "id": 1518623,
                                      "value": "4000000 cycles"
                                    }
                                  ]
                                },
                                {
                                  "id": 364,
                                  "name": "Output voltage",
                                  "values": [
                                    {
                                      "id": 1602215,
                                      "value": "20kV"
                                    }
                                  ]
                                }
                              ]
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/products/related": {
      "get": {
        "tags": [
          "products"
        ],
        "x-visibility": "public",
        "summary": "/products/related",
        "description": "This endpoint returns products related to the specified product symbol. Related products may include compatible accessories and complementary items. For example, for a battery product, the response may include compatible chargers. Consider that not all of the TME symbols have related products.",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "Country identifier.",
            "schema": {
              "type": "string",
              "example": "GB"
            }
          },
          {
            "name": "symbol",
            "in": "query",
            "description": "Product symbol.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "manufacturer_id",
            "in": "query",
            "description": "Manufacturer identifier. ID can be found using `/products/manufacturers`, `/products` or `/products/search` endpoint. ",
            "schema": {
              "type": "number"
            }
          }
        ],
[...]
